Skip to main content
`Ctrl`+`K`

# SVDSetUp

Sets up all the internal data structures necessary for the execution of the singular value solver.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDSetUp(SVD svd)

Collective

## Input Parameter

- svd - the singular value solver context

## Notes

This function need not be called explicitly in most cases, since `SVDSolve()` calls it. It can be useful when one wants to measure the set-up time separately from the solve time.

## See Also

SVD: Singular Value Decomposition, `SVDCreate()`, `SVDSolve()`, `SVDDestroy()`

## Level

developer

## Location

src/svd/interface/svdsetup.c

## Implementations

SVDSetUp_Cross() in src/svd/impls/cross/cross.c
SVDSetUp_Cyclic() in src/svd/impls/cyclic/cyclic.c
SVDSetUp_Elemental() in src/svd/impls/external/elemental/svdelemen.cxx
SVDSetUp_KSVD() in src/svd/impls/external/ksvd/svdksvd.c
SVDSetUp_PRIMME() in src/svd/impls/external/primme/svdprimme.c
SVDSetUp_ScaLAPACK() in src/svd/impls/external/scalapack/svdscalap.c
SVDSetUp_Lanczos() in src/svd/impls/lanczos/gklanczos.c
SVDSetUp_LAPACK() in src/svd/impls/lapack/svdlapack.c
SVDSetUp_Randomized() in src/svd/impls/randomized/rsvd.c
SVDSetUp_TRLanczos() in src/svd/impls/trlanczos/trlanczos.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages